## tesseract 4.00~git2207-766b7bd6

=== debian/changelog ===
tesseract (4.00~git2207-766b7bd6-3.1) unstable; urgency=medium

  * Sponsor Alexander Pozdnyakov

 -- Jeff Breidenbach <jab@debian.org>  Tue, 20 Feb 2018 22:58:27 +0300

tesseract (4.00~git2207-766b7bd6-3) unstable; urgency=medium

  * Fix rules https://github.com/AlexanderP/tesseract-debian/pull/1
    - Don't set CFLAGS when calling configure
    - Avoid duplicate definition of macro TESSDATA_PREFIX

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 20 Feb 2018 22:47:07 +0300

tesseract (4.00~git2207-766b7bd6-2) unstable; urgency=medium

  * TESSDATA_PREFIX variable was changed to
    /usr/share/tesseract-ocr/4.00/tessdata/

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 20 Feb 2018 20:58:14 +0300

tesseract (4.00~git2207-766b7bd6-1) unstable; urgency=medium

  * Compile
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 766b7bd620705161ddec73f4c69aabdece4e50f6
  * Date: 1519143550
  * git changelog:
  *  766b7bd6 - Don't drop words with low certainty (#1264)
  *  af6994ef - Don't try alternate path for tessdata (#1328)
  *  2ca7d945 - Remove files generated by libtool (#1329)
  *  a50ff527 - Improve help text for OCR engine mode (#1326)
  *  349de8b7 - Support different help texts for normal and advanced
    users and restore legacy mode (#1325)
  *  173ad2bd - mark& block legacy OCR Engine until it will be removed.
  *  01f9a7f3 - Clean use of double / float (#1323)
  *  43f34f5c - Clean Makefile.am (#1322)
  *  20b3ff87 - Fix some minor issues reported by Coverity Scan (#1321)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Tue, 20 Feb 2018 20:06:42 +0300

tesseract (4.00~git2198-ce7ee87f-2) unstable; urgency=medium

  * Add a description - patches/man.diff
  * Corrected the spelling - patches/helptext, doc/combine_tessdata.1.asc
  * Fixed version of debhelper - control
  * Fix: "file contains trailing whitespace" - control,rules
  * Add: dep5 copyright
  * Build with hardening=+all.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 17 Feb 2018 21:59:08 +0300

tesseract (4.00~git2198-ce7ee87f-1) unstable; urgency=medium

  * Compile
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: ce7ee87fa40745f9e4cb13ec0329787afd13ff56
  * Date: 1516818671
  * git changelog:
  *  ce7ee87f - Merge pull request #1290 from amitdo/patch-1
  *  d377281f - Update CMakeLists.txt
  *  82ba4235 - Update CMakeLists.txt
  *  2da95d63 - Add more avx2, sse4.1 flags. Add MSVC's AVX2 ICE
    workaround.
  *  4b6fefb2 - Add openmp support for Visual Studio builds.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 09 Feb 2018 22:24:26 +0300

tesseract (4.00~git2193-c9169e5a-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: c9169e5ac6117472d7abeeb8f0b34a72c9b635ec
  * Date: 1516436199
  * git changelog:
  *  c9169e5a - Remove unused cube OCR engine modes (#1281)
  *  10a8a67c - Remove execute permission from config file (#1263)
  *  c4d8f270 - Fix compiler warning (-Wchar-subscript) (#1259)
  *  000d027a - Rename tesseract library.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 21 Jan 2018 16:20:02 +0300

tesseract (4.00~git2189-bc668da0-1) unstable; urgency=medium

  * Compile
  * URL: https://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: bc668da04295754b105360c77572b681ba18baac
  * Date: 1513754058
  * git changelog:
  *  bc668da0 - Update README.md (#1239)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Wed, 27 Dec 2017 10:01:26 +0300

## tesseract 4.00~git2219-40f43111

=== debian/changelog ===
tesseract (4.00~git2219-40f43111-1.2) unstable; urgency=medium

  * Sponsored upload

 -- Jeff Breidenbach <jab@debian.org>  Mon, 26 Feb 2018 20:23:19 -0800

tesseract (4.00~git2219-40f43111-1) unstable; urgency=medium

  * Compile
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 40f43111e05b3dd2f2f8aeae3aba33016523c881
  * Date: 1519461445
  * git changelog:
  *  40f43111 - Add list of scripts to manpage for tesseract (#1347)
  *  bb89dc35 - Add info regarding LSTM components and options (#1346)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 25 Feb 2018 11:47:05 +0300

tesseract (4.00~git2217-44588a3c-1) unstable; urgency=medium

  * Compile
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 44588a3c7c3756f5ddfcab3dc0a3b6a8471f70be
  * Date: 1519381675
  * git changelog:
  *  44588a3c - add commas to language list
  *  035325df - Update language list based on tessdata_fast; fix #1343
  *  6f80c35b - Update appveyor.yml
  *  0d1365a5 - gle_uncial (#1342)
  *  ce638c4b - Update appveyor.yml
  *  9f888f04 - Fix typo in documentation (#1330)
  *  8130b8d3 - Fix some typos in comments (found by codespell) (#1331)
  *  638b0258 - Fix CID 1164569 (Dereference after null check) (#1332)
  *  eb8a6a5c - Fix CID 1164570 (Dereference after null check) (#1333)
  *  6a58b2e6 - Remove whitespace.

 -- Alexander Pozdnyakov <almipo@mail.ru>  Fri, 23 Feb 2018 23:04:37 +0300

=== debian/control ===
Source: tesseract
Section: graphics
Priority: optional
Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
Build-Depends: debhelper (>= 9), libleptonica-dev (>= 1.72~),
               automake, libtool, libpango1.0-dev, libcairo2-dev, libicu-dev,
               libpng-dev, libjpeg-dev, libtiff-dev, zlib1g-dev, git, autoconf-archive, asciidoc,
               xsltproc, docbook-xsl, docbook-xml
Standards-Version: 4.1.3
Homepage: https://github.com/tesseract-ocr/

Package: tesseract-ocr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 tesseract-ocr-eng (>= 4.00~), tesseract-ocr-osd (>= 4.00~), libtesseract4 (>= 4.00~)
Replaces: tesseract-ocr-data
Description: Tesseract command line OCR tool
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the command line tool.

Package: libtesseract-dev
Section: libdevel
Architecture: any
Depends: libtesseract4 (= ${binary:Version}), ${misc:Depends}, libleptonica-dev
Replaces: tesseract-ocr-dev (<< 3.0.1-1~)
Breaks: tesseract-ocr-dev (<< 3.0.1-1~)
Description: Development files for the tesseract command line OCR tool
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the development files, static
 library, and header files.

Package: libtesseract4
Section: libs
Breaks: tesseract-ocr (<< 3.01~), ocropus (<< 0.4.0~),
 tesseract-afr (<< 4.00~), tesseract-ara (<< 4.00~), tesseract-aze (<< 4.00~),
 tesseract-bel (<< 4.00~), tesseract-ben (<< 4.00~), tesseract-bul (<< 4.00~),
 tesseract-cat (<< 4.00~), tesseract-ces (<< 4.00~), tesseract-chi-sim (<< 4.00~),
 tesseract-chi-tra (<< 4.00~), tesseract-chr (<< 4.00~), tesseract-dan (<< 4.00~),
 tesseract-deu (<< 4.00~), tesseract-deu-frak (<< 4.00~), tesseract-ell (<< 4.00~),
 tesseract-eng (<< 4.00~), tesseract-enm (<< 4.00~), tesseract-epo (<< 4.00~),
 tesseract-equ (<< 4.00~), tesseract-est (<< 4.00~), tesseract-eus (<< 4.00~),
 tesseract-fin (<< 4.00~), tesseract-fra (<< 4.00~), tesseract-frk (<< 4.00~),
 tesseract-frm (<< 4.00~), tesseract-glg (<< 4.00~), tesseract-grc (<< 4.00~),
 tesseract-heb (<< 4.00~), tesseract-hin (<< 4.00~), tesseract-hrv (<< 4.00~),
 tesseract-hun (<< 4.00~), tesseract-ind (<< 4.00~), tesseract-isl (<< 4.00~),
 tesseract-ita (<< 4.00~), tesseract-ita-old (<< 4.00~), tesseract-jpn (<< 4.00~),
 tesseract-kan (<< 4.00~), tesseract-kor (<< 4.00~),  tesseract-lav (<< 4.00~),
 tesseract-lit (<< 4.00~), tesseract-mal (<< 4.00~), tesseract-mkd (<< 4.00~),
 tesseract-mlt (<< 4.00~), tesseract-msa (<< 4.00~), tesseract-nld (<< 4.00~),
 tesseract-nor (<< 4.00~), tesseract-ocr-amh (<< 4.00~), tesseract-ocr-asm (<< 4.00~),
 tesseract-ocr-aze-cyrl (<< 4.00~), tesseract-ocr-bod (<< 4.00~), tesseract-ocr-bos (<< 4.00~),
 tesseract-ocr-ceb (<< 4.00~), tesseract-ocr-cym (<< 4.00~), tesseract-ocr-dan-frak (<< 4.00~),
 tesseract-ocr-dzo (<< 4.00~), tesseract-ocr-fas (<< 4.00~), tesseract-ocr-gle (<< 4.00~),
 tesseract-ocr-gle-uncial (<< 4.00~), tesseract-ocr-grc (<< 4.00~), tesseract-ocr-guj (<< 4.00~),
 tesseract-ocr-hat (<< 4.00~), tesseract-ocr-iku (<< 4.00~), tesseract-ocr-jav (<< 4.00~),
 tesseract-ocr-kat (<< 4.00~), tesseract-ocr-kat-old (<< 4.00~), tesseract-ocr-kaz (<< 4.00~),
 tesseract-ocr-khm (<< 4.00~), tesseract-ocr-kir (<< 4.00~), tesseract-ocr-kur (<< 4.00~),
 tesseract-ocr-lao (<< 4.00~), tesseract-ocr-lat (<< 4.00~), tesseract-ocr-mar (<< 4.00~),
 tesseract-ocr-mya (<< 4.00~), tesseract-ocr-nep (<< 4.00~), tesseract-ocr-ori (<< 4.00~),
 tesseract-ocr-pan (<< 4.00~), tesseract-ocr-pus (<< 4.00~), tesseract-ocr-san (<< 4.00~),
 tesseract-ocr-sin (<< 4.00~), tesseract-ocr-srp-latn (<< 4.00~), tesseract-ocr-syr (<< 4.00~),
 tesseract-ocr-tgk (<< 4.00~), tesseract-ocr-tir (<< 4.00~), tesseract-ocr-uig (<< 4.00~),
 tesseract-ocr-urd (<< 4.00~), tesseract-ocr-uzb (<< 4.00~), tesseract-ocr-uzb-cyrl (<< 4.00~),
 tesseract-ocr-yid (<< 4.00~), tesseract-pol (<< 4.00~), tesseract-por (<< 4.00~),
 tesseract-ron (<< 4.00~), tesseract-rus (<< 4.00~), tesseract-slk (<< 4.00~),
 tesseract-slk-frak (<< 4.00~), tesseract-slv (<< 4.00~), tesseract-spa (<< 4.00~),
 tesseract-spa-old (<< 4.00~), tesseract-sqi (<< 4.00~), tesseract-srp (<< 4.00~),
 tesseract-swa (<< 4.00~), tesseract-swe (<< 4.00~), tesseract-tam (<< 4.00~),
 tesseract-tel (<< 4.00~), tesseract-tgl (<< 4.00~), tesseract-tha (<< 4.00~),
 tesseract-tur (<< 4.00~), tesseract-ukr (<< 4.00~), tesseract-vie (<< 4.00~)
Replaces: tesseract-ocr (<< 3.01~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tesseract OCR library
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the shared library.

Package: tesseract-ocr-all
Architecture: all
Depends: ${misc:Depends}, tesseract-ocr,
        tesseract-ocr-bul, tesseract-ocr-cat, tesseract-ocr-ces, tesseract-ocr-dan,
        tesseract-ocr-deu, tesseract-ocr-ell, tesseract-ocr-eng, tesseract-ocr-fin,
        tesseract-ocr-fra, tesseract-ocr-hun, tesseract-ocr-ind, tesseract-ocr-ita,
        tesseract-ocr-lav, tesseract-ocr-lit, tesseract-ocr-nld, tesseract-ocr-nor,
        tesseract-ocr-pol, tesseract-ocr-por, tesseract-ocr-ron, tesseract-ocr-rus,
        tesseract-ocr-slk, tesseract-ocr-slv, tesseract-ocr-spa, tesseract-ocr-srp,
        tesseract-ocr-swe, tesseract-ocr-tur, tesseract-ocr-ukr, tesseract-ocr-vie,
        tesseract-ocr-chi-sim, tesseract-ocr-chi-tra, tesseract-ocr-amh, tesseract-ocr-asm,
        tesseract-ocr-aze-cyrl, tesseract-ocr-bod, tesseract-ocr-bos, tesseract-ocr-ceb,
        tesseract-ocr-cym, tesseract-ocr-dzo, tesseract-ocr-fas, tesseract-ocr-gle,
        tesseract-ocr-guj, tesseract-ocr-hat, tesseract-ocr-iku, tesseract-ocr-jav,
        tesseract-ocr-kat, tesseract-ocr-kat-old, tesseract-ocr-kaz, tesseract-ocr-khm,
        tesseract-ocr-kir, tesseract-ocr-lao, tesseract-ocr-lat, tesseract-ocr-mar,
        tesseract-ocr-mya, tesseract-ocr-nep, tesseract-ocr-ori, tesseract-ocr-pan,
        tesseract-ocr-pus, tesseract-ocr-san, tesseract-ocr-sin, tesseract-ocr-srp-latn,
        tesseract-ocr-syr, tesseract-ocr-tgk, tesseract-ocr-tir, tesseract-ocr-uig,
        tesseract-ocr-urd, tesseract-ocr-uzb, tesseract-ocr-uzb-cyrl, tesseract-ocr-yid,
        tesseract-ocr-osd, tesseract-ocr-afr, tesseract-ocr-ara, tesseract-ocr-aze,
        tesseract-ocr-bel, tesseract-ocr-ben, tesseract-ocr-chr, tesseract-ocr-enm,
        tesseract-ocr-epo, tesseract-ocr-est, tesseract-ocr-eus, tesseract-ocr-frk,
        tesseract-ocr-frm, tesseract-ocr-glg, tesseract-ocr-heb, tesseract-ocr-hin,
        tesseract-ocr-hrv, tesseract-ocr-isl, tesseract-ocr-ita-old, tesseract-ocr-jpn,
        tesseract-ocr-kan, tesseract-ocr-kor, tesseract-ocr-mal, tesseract-ocr-mkd,
        tesseract-ocr-mlt, tesseract-ocr-msa, tesseract-ocr-spa-old, tesseract-ocr-sqi,
        tesseract-ocr-swa, tesseract-ocr-tam, tesseract-ocr-tel, tesseract-ocr-tha,
        tesseract-ocr-bre, tesseract-ocr-chi-sim-vert, tesseract-ocr-chi-tra-vert,
        tesseract-ocr-cos, tesseract-ocr-div, tesseract-ocr-fao, tesseract-ocr-fil,
        tesseract-ocr-fry, tesseract-ocr-gla, tesseract-ocr-hye, tesseract-ocr-jpn-vert,
        tesseract-ocr-kor-vert, tesseract-ocr-kur-ara, tesseract-ocr-ltz, tesseract-ocr-mon,
        tesseract-ocr-mri, tesseract-ocr-oci, tesseract-ocr-que, tesseract-ocr-snd,
        tesseract-ocr-sun, tesseract-ocr-tat, tesseract-ocr-ton, tesseract-ocr-yor,
        tesseract-ocr-script-arab, tesseract-ocr-script-armn, tesseract-ocr-script-beng,
        tesseract-ocr-script-cans, tesseract-ocr-script-cher, tesseract-ocr-script-cyrl,
        tesseract-ocr-script-deva, tesseract-ocr-script-ethi, tesseract-ocr-script-frak,
        tesseract-ocr-script-geor, tesseract-ocr-script-grek, tesseract-ocr-script-gujr,
        tesseract-ocr-script-guru, tesseract-ocr-script-hans, tesseract-ocr-script-hans-vert,
        tesseract-ocr-script-hant, tesseract-ocr-script-hant-vert, tesseract-ocr-script-hang,
        tesseract-ocr-script-hang-vert, tesseract-ocr-script-hebr, tesseract-ocr-script-jpan,
        tesseract-ocr-script-jpan-vert, tesseract-ocr-script-knda, tesseract-ocr-script-khmr,
        tesseract-ocr-script-laoo, tesseract-ocr-script-latn, tesseract-ocr-script-mlym,
        tesseract-ocr-script-mymr, tesseract-ocr-script-orya, tesseract-ocr-script-sinh,
        tesseract-ocr-script-syrc, tesseract-ocr-script-taml, tesseract-ocr-script-telu,
        tesseract-ocr-script-thaa, tesseract-ocr-script-thai, tesseract-ocr-script-tibt,
        tesseract-ocr-script-viet
Description: Tesseract OCR with all language and script packages
 This is a metapackage for Tesseract OCR and includes all supported
 languages and scripts.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS += -Wall -g -fPIC -DTESSDATA_PREFIX=/usr/share/tesseract-ocr/4.00/tessdata/

DEBIAN_CODENAME = $(shell echo $$DIST)
ifeq "$(DEBIAN_CODENAME)" ""
	DEBIAN_CODENAME = $(shell dpkg-parsechangelog | awk '/^Distribution: / {print $$2}')
endif
ifneq (,$(filter $(DEBIAN_CODENAME),lucid karmic))
	BUILDDEBFLAGS= -- -Zlzma -z9
else
	BUILDDEBFLAGS= -- -Zxz -z9
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(NUMJOBS))
	NUMJOBS = 1
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	make -j$(NUMJOBS)
	make -j$(NUMJOBS) training

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr install
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr training-install

override_dh_auto_test:

override_dh_auto_clean:
	dh_auto_clean
	dh_clean java/com/Makefile java/com/google/Makefile java/com/google/scrollview/Makefile java/com/google/scrollview/events/Makefile java/com/google/scrollview/ui/Makefile

override_dh_auto_configure:
	sed "s/AM_MAINTAINER_MODE/AM_MAINTAINER_MODE([enable])/g" -i configure.ac
	./autogen.sh
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --disable-tessdata-prefix --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CFLAGS)" LDFLAGS="-llept -Wl,-z,defs $(LDFLAGS)"

#override_dh_builddeb:
#	dh_builddeb $(BUILDDEBFLAGS)

## tesseract 4.00~git2288

=== CMakeLists.txt ===
#
# tesseract
#

###############################################################################
#
# cmake settings
#
###############################################################################

cmake_minimum_required(VERSION 2.8.11)

# In-source builds are disabled.
if (${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR
        "CMake generation is not possible within the source directory!"
        "\n Remove the CMakeCache.txt file and try again from another folder, e.g.:"
        "\n "
        "\n rm CMakeCache.txt"
        "\n mkdir build"
        "\n cd build"
        "\n cmake .."
    )
endif()

set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_SOURCE_DIR}/cmake")

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}/bin")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${EXECUTABLE_OUTPUT_PATH}")

# Use solution folders.
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set_property(GLOBAL PROPERTY PREDEFINED_TARGETS_FOLDER "CMake Targets")

###############################################################################
#
# project settings
#
###############################################################################

project(tesseract C CXX)

# Get version with components from VERSION file.
file(STRINGS "VERSION" VERSION_PLAIN)
string(REGEX REPLACE "^([^.]*)\\..*" "\\1" VERSION_MAJOR ${VERSION_PLAIN})
string(REGEX REPLACE "^[^.]*\\.([^.]*)\\..*" "\\1" VERSION_MINOR ${VERSION_PLAIN})
string(REGEX REPLACE "^[^.]*\\.[^.]*\\.([0-9]*).*" "\\1" VERSION_PATCH ${VERSION_PLAIN})

# Provide also same macro names as autoconf (see configure.ac).
set(GENERIC_MAJOR_VERSION ${VERSION_MAJOR})
set(GENERIC_MINOR_VERSION ${VERSION_MINOR})
set(GENERIC_MICRO_VERSION ${VERSION_PATCH})

set(MINIMUM_LEPTONICA_VERSION 1.74)

if(NOT EXISTS ${PROJECT_SOURCE_DIR}/.cppan)
    if (NOT Leptonica_DIR AND NOT MSVC)
        find_package(PkgConfig REQUIRED)
        pkg_check_modules(Leptonica REQUIRED lept>=${MINIMUM_LEPTONICA_VERSION})
        link_directories(${Leptonica_LIBRARY_DIRS})
    else()
        find_package(Leptonica ${MINIMUM_LEPTONICA_VERSION} REQUIRED CONFIG)
    endif()
else()
    if (STATIC)
        set(CPPAN_BUILD_SHARED_LIBS 0)
    else()
        set(CPPAN_BUILD_SHARED_LIBS 1)
    endif()
    add_subdirectory(.cppan)
endif()

find_package(OpenCL QUIET)

option(BUILD_TRAINING_TOOLS "Build training tools" ON)

###############################################################################
#
# compiler and linker
#
###############################################################################

set(LIBRARY_TYPE SHARED)
if (STATIC)
    set(LIBRARY_TYPE)
endif()

if (WIN32)
    if (MSVC)
        add_definitions(-D_CRT_SECURE_NO_WARNINGS)

        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP /openmp")
    endif()

    set(LIB_Ws2_32 Ws2_32)
endif()

if (CYGWIN)
    add_definitions(-D__CYGWIN__)
endif()

if (UNIX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++11")

    set(LIB_pthread pthread)
endif()

###############################################################################
#
# configure
#
###############################################################################

set(AUTOCONFIG_SRC ${CMAKE_BINARY_DIR}/config_auto.h.in)
set(AUTOCONFIG ${CMAKE_BINARY_DIR}/config_auto.h)

include(Configure)

configure_file(${AUTOCONFIG_SRC} ${AUTOCONFIG} @ONLY)

set(INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/include" "${CMAKE_INSTALL_PREFIX}/include/tesseract")

configure_file(
    ${CMAKE_SOURCE_DIR}/api/tess_version.h.in
    ${CMAKE_BINARY_DIR}/api/tess_version.h @ONLY)
configure_file(
    ${CMAKE_SOURCE_DIR}/vs2010/tesseract/tesseract.rc.in
    ${CMAKE_BINARY_DIR}/vs2010/tesseract/tesseract.rc @ONLY)
configure_file(
    ${CMAKE_SOURCE_DIR}/vs2010/tesseract/libtesseract.rc.in
    ${CMAKE_BINARY_DIR}/vs2010/tesseract/libtesseract.rc @ONLY)
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/templates/TesseractConfig-version.cmake.in
    ${CMAKE_BINARY_DIR}/TesseractConfig-version.cmake @ONLY)
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/templates/TesseractConfig.cmake.in
    ${CMAKE_BINARY_DIR}/TesseractConfig.cmake @ONLY)

###############################################################################
#
# build
#
###############################################################################

include(BuildFunctions)
include(SourceGroups)

add_definitions(-DHAVE_CONFIG_H)
add_definitions(-D_SILENCE_STDEXT_HASH_DEPRECATION_WARNINGS=1)
add_definitions(-DWINDLLNAME="libtesseract${VERSION_MAJOR}${VERSION_MINOR}.dll")

include_directories(${Leptonica_INCLUDE_DIRS})

include_directories(${CMAKE_BINARY_DIR})

include_directories(api)
include_directories(${CMAKE_BINARY_DIR}/api)
include_directories(arch)
include_directories(ccmain)
include_directories(ccstruct)
include_directories(ccutil)
include_directories(classify)
include_directories(cutil)
include_directories(dict)
include_directories(lstm)
include_directories(opencl)
include_directories(textord)
include_directories(vs2010/port)
include_directories(viewer)
include_directories(wordrec)

########################################
# LIBRARY tesseract
########################################

file(GLOB tesseract_src
    arch/*.cpp
    ccmain/*.cpp
    ccstruct/*.cpp
    ccutil/*.cpp
    classify/*.cpp
    cutil/*.cpp
    dict/*.cpp
    lstm/*.cpp
    opencl/*.cpp
    textord/*.cpp
    viewer/*.cpp
    wordrec/*.cpp
)
file(GLOB tesseract_hdr
    api/*.h
    arch/*.h
    ccmain/*.h
    ccstruct/*.h
    ccutil/*.h
    classify/*.h
    cutil/*.h
    dict/*.h
    lstm/*.h
    opencl/*.h
    textord/*.h
    viewer/*.h
    wordrec/*.h
)
if (WIN32)
    file(GLOB tesseract_win32_src "vs2010/port/*.cpp")
    file(GLOB tesseract_win32_hdr "vs2010/port/*.h")
    set(tesseract_src ${tesseract_src} ${tesseract_win32_src})
    set(tesseract_hdr ${tesseract_hdr} ${tesseract_win32_hdr})
endif()

set(tesseract_src ${tesseract_src}
    api/baseapi.cpp
    api/capi.cpp
    api/renderer.cpp
    api/pdfrenderer.cpp
)

if (WIN32)
    if (MSVC)
        include_directories(vs2010/tesseract)
        set(tesseract_hdr
            ${tesseract_hdr}
            ${CMAKE_CURRENT_SOURCE_DIR}/vs2010/tesseract/resource.h)
        set(tesseract_rsc ${CMAKE_BINARY_DIR}/vs2010/tesseract/libtesseract.rc)
        set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/arch/dotproductsse.cpp
            PROPERTIES COMPILE_DEFINITIONS __SSE4_1__)
        set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/arch/intsimdmatrixsse.cpp
            PROPERTIES COMPILE_DEFINITIONS __SSE4_1__)
        set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/arch/dotproductavx.cpp
            PROPERTIES COMPILE_FLAGS "/arch:AVX")
        set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/arch/intsimdmatrixavx2.cpp
            PROPERTIES COMPILE_FLAGS "/arch:AVX2")
    endif()
else()
    set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/arch/dotproductsse.cpp
            PROPERTIES COMPILE_FLAGS "-msse4.1")
    set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/arch/intsimdmatrixsse.cpp
            PROPERTIES COMPILE_FLAGS "-msse4.1")
    set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/arch/dotproductavx.cpp
            PROPERTIES COMPILE_FLAGS "-mavx")
    set_source_files_properties(
            ${CMAKE_CURRENT_SOURCE_DIR}/arch/intsimdmatrixavx2.cpp
            PROPERTIES COMPILE_FLAGS "-mavx2")
endif()

add_library                     (libtesseract ${LIBRARY_TYPE} ${tesseract_src} ${tesseract_hdr}
    ${tesseract_rsc}
    )
if (NOT STATIC)
target_compile_definitions      (libtesseract
    PRIVATE -DTESS_EXPORTS
    INTERFACE -DTESS_IMPORTS
)
set_target_properties           (libtesseract PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS True)
endif()
target_link_libraries           (libtesseract ${LIB_Ws2_32} ${LIB_pthread})
set_target_properties           (libtesseract PROPERTIES VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
set_target_properties           (libtesseract PROPERTIES SOVERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
if (WIN32)
set_target_properties           (libtesseract PROPERTIES OUTPUT_NAME tesseract${VERSION_MAJOR}${VERSION_MINOR})
set_target_properties           (libtesseract PROPERTIES DEBUG_OUTPUT_NAME tesseract${VERSION_MAJOR}${VERSION_MINOR}d)
else()
set_target_properties           (libtesseract PROPERTIES OUTPUT_NAME tesseract)
endif()

if (NOT CPPAN_BUILD)
    target_link_libraries       (libtesseract ${Leptonica_LIBRARIES})
    export(TARGETS libtesseract FILE ${CMAKE_BINARY_DIR}/TesseractTargets.cmake)
else()
    target_link_libraries       (libtesseract pvt.cppan.demo.danbloomberg.leptonica)
    file(WRITE ${CMAKE_BINARY_DIR}/TesseractTargets.cmake "include(${CMAKE_BINARY_DIR}/cppan.cmake)\n")
    export(TARGETS libtesseract APPEND FILE ${CMAKE_BINARY_DIR}/TesseractTargets.cmake)
endif()

########################################
# EXECUTABLE tesseractmain
########################################

set(tesseractmain_src api/tesseractmain.cpp)
if (MSVC)
    set(tesseractmain_rsc ${CMAKE_BINARY_DIR}/vs2010/tesseract/tesseract.rc)
endif()

add_executable                  (tesseract ${tesseractmain_src} ${tesseractmain_rsc})
target_link_libraries           (tesseract libtesseract)

########################################

if (EXISTS ${PROJECT_SOURCE_DIR}/googletest/CMakeLists.txt)
    add_subdirectory(googletest)
    add_executable(tesseract_tests tests/tesseracttests.cpp)
    target_link_libraries(tesseract_tests gtest_main)
endif()

if (BUILD_TRAINING_TOOLS)
add_subdirectory(training)
endif()

get_target_property(tesseract_NAME libtesseract NAME)
get_target_property(tesseract_VERSION libtesseract VERSION)
get_target_property(tesseract_OUTPUT_NAME libtesseract OUTPUT_NAME)
configure_file(tesseract.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/tesseract.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tesseract.pc DESTINATION lib/pkgconfig)
install(TARGETS tesseract RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
install(TARGETS libtesseract EXPORT TesseractTargets RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
install(EXPORT TesseractTargets DESTINATION cmake)
install(FILES
    ${CMAKE_BINARY_DIR}/TesseractConfig.cmake
    ${CMAKE_BINARY_DIR}/TesseractConfig-version.cmake
    DESTINATION cmake)

install(FILES
    # from api/makefile.am
    api/apitypes.h
    api/baseapi.h
    api/capi.h
    api/renderer.h
    ${CMAKE_CURRENT_BINARY_DIR}/api/tess_version.h

    #from arch/makefile.am
    arch/dotproductavx.h
    arch/dotproductsse.h
    arch/intsimdmatrix.h
    arch/intsimdmatrixavx2.h
    arch/intsimdmatrixsse.h
    arch/simddetect.h

    #from ccmain/makefile.am
    ccmain/thresholder.h
    ccmain/ltrresultiterator.h
    ccmain/pageiterator.h
    ccmain/resultiterator.h
    ccmain/osdetect.h

    #from ccstruct/makefile.am
    ccstruct/publictypes.h

    #from ccutil/makefile.am
    ccutil/basedir.h
    ccutil/errcode.h
    ccutil/fileerr.h
    ccutil/genericvector.h
    ccutil/helpers.h
    ccutil/host.h
    ccutil/memry.h
    ccutil/ndminx.h
    ccutil/params.h
    ccutil/ocrclass.h
    ccutil/platform.h
    ccutil/serialis.h
    ccutil/strngs.h
    ccutil/tesscallback.h
    ccutil/unichar.h
    ccutil/unicharcompress.h
    ccutil/unicharmap.h
    ccutil/unicharset.h

    #from lstm/makefile.am
    lstm/convolve.h
    lstm/ctc.h
    lstm/fullyconnected.h
    lstm/functions.h
    lstm/input.h
    lstm/lstm.h
    lstm/lstmrecognizer.h
    lstm/lstmtrainer.h
    lstm/maxpool.h
    lstm/networkbuilder.h
    lstm/network.h
    lstm/networkio.h
    lstm/networkscratch.h
    lstm/parallel.h
    lstm/plumbing.h
    lstm/recodebeam.h
    lstm/reconfig.h
    lstm/reversed.h
    lstm/series.h
    lstm/static_shape.h
    lstm/stridemap.h
    lstm/tfnetwork.h
    lstm/weightmatrix.h

    #${CMAKE_BINARY_DIR}/src/endianness.h
    DESTINATION include/tesseract)

=== training/CMakeLists.txt ===
#
# tesseract
#

if (NOT CPPAN_BUILD AND NOT (WIN32 OR CYGWIN))
    return()
endif()

if (CPPAN_BUILD)
    set(ICU_FOUND 1)
endif()

# experimental
if (MSVC AND NOT CPPAN_BUILD AND NOT USE_SYSTEM_ICU)
    include(CheckTypeSize)
    check_type_size("void *" SIZEOF_VOID_P)

    if (SIZEOF_VOID_P EQUAL 8)
        set(X64 1)
        set(ARCH_DIR_NAME 64)
    elseif (SIZEOF_VOID_P EQUAL 4)
        set(X86 1)
        set(ARCH_DIR_NAME 32)
    else()
        message(FATAL_ERROR "Cannot determine target architecture")
    endif()

    set(icu_dir "${CMAKE_CURRENT_BINARY_DIR}/icu")
    set(icu_archive "${icu_dir}/icu${ARCH_DIR_NAME}.zip")

    if (X86)
        set(icu_hash 45167a240b60e36b59a87eda23490ce4)
    else()
        set(icu_hash 480c72491576c048de1218c3c5519399)
    endif()

    message(STATUS "Downloading latest ICU binaries")

    file(DOWNLOAD
        "http://download.icu-project.org/files/icu4c/56.1/icu4c-56_1-Win${ARCH_DIR_NAME}-msvc10.zip"
        "${icu_archive}"
        SHOW_PROGRESS
        INACTIVITY_TIMEOUT 60 # seconds
        EXPECTED_HASH MD5=${icu_hash}
    )
    execute_process(COMMAND ${CMAKE_COMMAND} -E tar xz "${icu_archive}"
        WORKING_DIRECTORY "${icu_dir}"
        RESULT_VARIABLE __result
    )
    if(NOT __result EQUAL 0)
        message(FATAL_ERROR "error ${__result}")
    endif()

    set(ICU_ROOT ${icu_dir}/icu)
endif()
# experimental

if (NOT CPPAN_BUILD)
    find_package(ICU COMPONENTS uc i18n)
endif()

########################################
# LIBRARY tessopt
########################################

add_library                 (tessopt tessopt.cpp tessopt.h)
project_group               (tessopt "Training Tools")


########################################
# LIBRARY common_training
########################################

set(common_training_src
    commandlineflags.cpp
    commandlineflags.h
    commontraining.cpp
    commontraining.h
)
add_library                 (common_training ${common_training_src})
target_link_libraries       (common_training libtesseract tessopt)
project_group               (common_training "Training Tools")


########################################
# EXECUTABLE ambiguous_words
########################################

add_executable              (ambiguous_words ambiguous_words.cpp)
target_link_libraries       (ambiguous_words libtesseract)
project_group               (ambiguous_words "Training Tools")
install                     (TARGETS ambiguous_words RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE classifier_tester
########################################

add_executable              (classifier_tester classifier_tester.cpp)
target_link_libraries       (classifier_tester common_training)
project_group               (classifier_tester "Training Tools")
install                     (TARGETS classifier_tester RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE combine_tessdata
########################################

add_executable              (combine_tessdata combine_tessdata.cpp)
target_link_libraries       (combine_tessdata libtesseract)
project_group               (combine_tessdata "Training Tools")
install                     (TARGETS combine_tessdata RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE cntraining
########################################

add_executable              (cntraining cntraining.cpp)
target_link_libraries       (cntraining common_training)
project_group               (cntraining "Training Tools")
install                     (TARGETS cntraining RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE dawg2wordlist
########################################

add_executable              (dawg2wordlist dawg2wordlist.cpp)
target_link_libraries       (dawg2wordlist libtesseract)
project_group               (dawg2wordlist "Training Tools")
install                     (TARGETS dawg2wordlist RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE mftraining
########################################

add_executable              (mftraining mftraining.cpp mergenf.cpp mergenf.h)
target_link_libraries       (mftraining common_training)
project_group               (mftraining "Training Tools")
install                     (TARGETS mftraining RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE shapeclustering
########################################

add_executable              (shapeclustering shapeclustering.cpp)
target_link_libraries       (shapeclustering common_training)
project_group               (shapeclustering "Training Tools")
install                     (TARGETS shapeclustering RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE wordlist2dawg
########################################

add_executable              (wordlist2dawg wordlist2dawg.cpp)
target_link_libraries       (wordlist2dawg libtesseract)
project_group               (wordlist2dawg "Training Tools")
install                     (TARGETS wordlist2dawg RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


if (ICU_FOUND)

if (NOT CPPAN_BUILD)
include_directories(${ICU_INCLUDE_DIRS})
endif()

########################################
# LIBRARY unicharset_training
########################################

set(unicharset_training_src
    fileio.cpp
    fileio.h
    icuerrorcode.h
    lang_model_helpers.cpp
    lang_model_helpers.h
    lstmtester.cpp
    lstmtester.h
    normstrngs.cpp
    normstrngs.h
    unicharset_training_utils.cpp
    unicharset_training_utils.h

    validate_grapheme.h validate_indic.h validate_khmer.h
    validate_myanmar.h validator.h
    validate_grapheme.cpp validate_indic.cpp validate_khmer.cpp
    validate_myanmar.cpp validator.cpp

)
add_library                 (unicharset_training ${unicharset_training_src})
if (NOT CPPAN_BUILD)
target_link_libraries       (unicharset_training common_training ${ICU_LIBRARIES})
else()
target_link_libraries       (unicharset_training common_training pvt.cppan.demo.unicode.icu.i18n)
endif()
project_group               (unicharset_training "Training Tools")


########################################
# EXECUTABLE combine_lang_model
########################################

add_executable              (combine_lang_model combine_lang_model.cpp)
target_link_libraries       (combine_lang_model unicharset_training)
project_group               (combine_lang_model "Training Tools")
install                     (TARGETS combine_lang_model RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE lstmeval
########################################

add_executable              (lstmeval lstmeval.cpp)
target_link_libraries       (lstmeval unicharset_training)
project_group               (lstmeval "Training Tools")
install                     (TARGETS lstmeval RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE lstmtraining
########################################

add_executable              (lstmtraining lstmtraining.cpp)
target_link_libraries       (lstmtraining unicharset_training)
project_group               (lstmtraining "Training Tools")
install                     (TARGETS lstmtraining RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE set_unicharset_properties
########################################

add_executable              (set_unicharset_properties set_unicharset_properties.cpp)
target_link_libraries       (set_unicharset_properties unicharset_training)
project_group               (set_unicharset_properties "Training Tools")
install                     (TARGETS set_unicharset_properties RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE unicharset_extractor
########################################

add_executable              (unicharset_extractor unicharset_extractor.cpp)
target_link_libraries       (unicharset_extractor libtesseract tessopt unicharset_training)
project_group               (unicharset_extractor "Training Tools")
install                     (TARGETS unicharset_extractor RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)


########################################
# EXECUTABLE text2image
########################################

if (NOT CPPAN_BUILD)
find_package(PkgConfig)
endif()

if (PKG_CONFIG_FOUND OR CPPAN_BUILD)

if (PKG_CONFIG_FOUND)
pkg_check_modules(Pango REQUIRED pango)
pkg_check_modules(Cairo REQUIRED cairo)
pkg_check_modules(PangoFt2 REQUIRED pangoft2)
pkg_check_modules(PangoCairo REQUIRED pangocairo)
pkg_check_modules(FontConfig REQUIRED fontconfig)
endif()

set(text2image_src
    text2image.cpp
    boxchar.cpp
    boxchar.h
    degradeimage.cpp
    degradeimage.h
    ligature_table.cpp
    ligature_table.h
    normstrngs.cpp
    normstrngs.h
    pango_font_info.cpp
    pango_font_info.h
    stringrenderer.cpp
    stringrenderer.h
    tlog.cpp
    tlog.h
    util.h
    icuerrorcode.h
)

add_executable              (text2image ${text2image_src})
target_link_libraries       (text2image unicharset_training)
if (PKG_CONFIG_FOUND)
target_include_directories  (text2image BEFORE PRIVATE ${Cairo_INCLUDE_DIRS} ${Pango_INCLUDE_DIRS})
target_compile_definitions  (text2image PRIVATE -DPANGO_ENABLE_ENGINE)
target_link_libraries       (text2image
    ${Pango_LIBRARIES}
    ${Cairo_LIBRARIES}
    ${PangoCairo_LIBRARIES}
    ${PangoFt2_LIBRARIES}
    ${FontConfig_LIBRARIES}
)
endif()
if (CPPAN_BUILD)
target_link_libraries       (text2image pvt.cppan.demo.gnome.pango.pangocairo)
endif()
project_group               (text2image "Training Tools")
install                     (TARGETS text2image RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)

endif()
endif(ICU_FOUND)

###############################################################################

## tesseract 4.00~git2288-10f4998a

=== debian/changelog ===
tesseract (4.00~git2288-10f4998a-2) unstable; urgency=medium

  * Compile
  * disable patch - fix-up-headers
  * TESSDATA_PREFIX variable was changed to /usr/share/tesseract-
    ocr/4.00
  * fix patch - man.diff
  * Add upstream/metadata
  * fix "insecure-copyright-format-uri"
  * add Version Control System location
  * moved installation path for tesstrain.sh
  * add shebang to language-specific.sh
  * add configure option --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
    (closes: #841845)
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: master
  * Commit: 10f4998aee3ccc68e9c4931ce744dd292ad6ff19
  * Date: 1522701055
  * git changelog:
  *  10f4998a - fix cmake build of training tools
  *  e9e1e936 - add tess_version.h to distribution
  *  64a73155 - add licence info
  *  af037c27 - rename version.h.in because the filename is too general
    for distribution
  *  f8e26eed - fix cmake windows version info for tesseract library and
    executable
  *  d28439c3 - Merge pull request #1438 from stweil/vs2010
  *  ead7759e - Merge pull request #1430 from stweil/news
  *  f29c12a0 - classify: Fix warnings from Doxygen (#1439)
  *  8701b151 - cmake: Automatically build tesseract.rc with version
    from file
  *  2cc46fa6 - BITS16: Use inline code for all constructors (#1434)
  *  832926f5 - Update library version handling for cmake (#1435)
  *  b1d291e6 - cmake: Get version information from VERSION file (#1436)
  *  9e74ed37 - Add IntCastRounded for float argument (#1433)
  *  6bbfc3b5 - Create version.h from available version information
    (#1432)
  *  53a25713 - autoconf: Get version components from PACKAGE_VERSION
    (#1431)
  *  033418e3 - Remove NEWS stub file
  *  3fcb952d - Remove unneeded CPPFLAGS (#1425)
  *  c7c738a1 - lstm: Small code optimisation (#1426)
  *  365611f2 - doc: Fix asciidoc escapes for C++ (#1427)
  *  18c8f883 - Remove deprecated parameters (#1418)
  *  3dcab4e1 - classify: Remove deprecated method ExtractIntFeat
    (#1422)
  *  bf0bddb9 - dict: Remove deprecated parameters (#1421)
  *  d13b8620 - Remove deprecated method DumpPGM (#1420)
  *  ee201e1f - Remove deprecated support for -psm argument (#1419)
  *  afcd4cbe - Remove unused local variable max_num_strokes (#1417)
  *  d087f202 - configure: Remove GIT_REV which is no longer used
    (#1416)
  *  8f7be2e7 - lstm: Replace NULL by nullptr (#1415)
  *  3fa25d9b - Install training tools with CMake.
  *  e45d9587 - arch: Remove stray ) in pragma (#1413)
  *  a02b0f97 - Remove vcsversion.h (#1412)
  *  b94bbd6e - Update version handling (#1408)
  *  8c84d29c - Fix CID 1270406, CID 1270407 and CID 1270411 Arguments
    in wrong order (#1410)
  *  660b3664 - Fix issues reported by Coverity Scan (#1409)
  *  1694be92 - tessdatamanager: Use PACKAGE_VERSION instead of
    TESSERACT_VERSION_STR (#1407)
  *  8c258750 - Simplify Makefile and add missing dependency for target
    training-install (#1403)
  *  8209ce36 - cmake: Update version and add it to config_auto.h
    (#1402)
  *  81c47288 - configure: Use m4_esyscmd_s to suppress linefeed (fix
    needed for macOS) (#1401)
  *  64af706f - arch: Fix some compiler warnings (-Wignored-qualifiers)
    (#1400)
  *  6b2a0901 - viewer: Fix some compiler warnings (-Wstringop-
    truncation) (#1399)
  *  c222145c - wordrec: Fix compiler warning (-Wstringop-truncation)
    (#1398)
  *  860dd10b - autogen: Fix typo in comment (#1396)
  *  d50769dc - autogen: Report missing requirements (#1394)
  *  023e1b34 - Use POSIX data types and macros (#878)
  *  40c71bfc - Update unittest for new script data location and fix out-
    of-tree build (#1386)
  *  49dd464e - Update googletest (#1383)
  *  47a326b0 - Use POSIX data types for external interfaces (#1358)
  *  c6afad03 - Fix compiler warning (-Wsign-compare) (#1385)
  *  15638a5c - doc: Add missing language to list (#1368)
  *  bdf66297 - Update version in README and manpages (#1381)
  *  8fb68746 - configure: Get version string from git or from VERSION
    file (#1380)
  *  2d319cb8 - configure: Update date, version and add project URL
    (#1379)
  *  df581089 - Manpages (#1378)
  *  79c6fa6d - Update package version (Visual Studio) (#1373)
  *  4b2bea79 - Update TESSERACT_VERSION_STR (#1372)
  *  14ee9119 - lstm: Use MS C intrinsic function for faster calculation
    of log2 (#1369)
  *  960007e5 - Fix compiler warning (possible loss of data) (#1370)
  *  08ef815f - doc: Remove unsupported traineddata from list (#1367)
  *  53f791ba - Remove obsolete code (#1365)
  *  59dc3e62 - Update appveyor.yml
  *  1d6e9c1d - Update appveyor.yml
  *  5845e1a2 - Add unit test for OSD, update apiexample test (#1359)
  *  7972b13e - Remove macro USE_STD_NAMESPACE (#1360)
  *  0d9cdbe6 - README: Use CamelCase for GitHub (#1357)
  *  068d43d3 - Remove old code for string class (no longer needed)
    (#1354)
  *  9035217a - Remove parameter m_data_sub_dir (#1356)
  *  cf66bc84 - Fix syntax error. (#1355)
  *  b9b08c7e - Replace log2(n) by local functions (#1353)
  *  c6e89160 - fixes for C++11 (#1164)
  *  ad6f3b41 - Fixed unqualified class "string" (#1082)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sat, 07 Apr 2018 21:10:12 +0300

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
                xsltproc, docbook-xsl, docbook-xml
 Standards-Version: 4.1.3
 Homepage: https://github.com/tesseract-ocr/
+Vcs-Git: https://github.com/AlexanderP/tesseract-debian.git
+Vcs-Browser: https://github.com/AlexanderP/tesseract-debian
 
 Package: tesseract-ocr
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS += -Wall -g -fPIC -DTESSDATA_PREFIX=/usr/share/tesseract-ocr/4.00

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(NUMJOBS))
	NUMJOBS = 1
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	make -j$(NUMJOBS)
	make -j$(NUMJOBS) training

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr install
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr training-install

override_dh_auto_test:

override_dh_auto_clean:
	dh_auto_clean
	dh_clean java/com/Makefile java/com/google/Makefile java/com/google/scrollview/Makefile java/com/google/scrollview/events/Makefile java/com/google/scrollview/ui/Makefile

override_dh_auto_configure:
	sed "s/AM_MAINTAINER_MODE/AM_MAINTAINER_MODE([enable])/g" -i configure.ac
	./autogen.sh
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --disable-tessdata-prefix --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CFLAGS)" LDFLAGS="-llept -Wl,-z,defs $(LDFLAGS)"
